# https://github.com/Masterminds/glide
%global goipath         github.com/Masterminds/glide
%global gcommit         67790b3dbede72cfdc54aa53be4706322c9499e0

%gometa -i

Name:           glide
Version:        0.13.1
Release:        3%{?dist}
Summary:        Package Management for Golang
# Detected licences
# - MIT/X11 (BSD like) at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# From https://github.com/mattfarina/glide-hash/blob/master/main.go
Patch0:         Add-glide-hash.patch

# glide.go
BuildRequires: golang(github.com/codegangsta/cli)

# Remaining dependencies not included in main packages
BuildRequires: golang(github.com/urfave/cli)
BuildRequires: golang(github.com/Masterminds/semver)
BuildRequires: golang(gopkg.in/yaml.v2)
BuildRequires: golang(github.com/Masterminds/vcs)

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/Masterminds/semver)
BuildRequires: golang(github.com/Masterminds/vcs)
BuildRequires: golang(github.com/codegangsta/cli)
BuildRequires: golang(github.com/urfave/cli)
BuildRequires: golang(gopkg.in/yaml.v2)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup -q
%patch0 -p1

%build
%gobuildroot

%gobuild -o _bin/glide %{goipath}
%gobuild -o _bin/glide-hash %{goipath}/glide-hash

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 _bin/glide %{buildroot}%{_bindir}
install -p -m 0755 _bin/glide-hash %{buildroot}%{_bindir}
%goinstall

%check
#%%gochecks

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/glide
%{_bindir}/glide-hash

%files devel -f devel.file-list
%license LICENSE
%doc CHANGELOG.md README.md

%changelog
* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 0.13.1-3
- Rebuild with fixed binutils

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 13 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.13.1-1
- Update to v0.13.1

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-0.5.git8032c28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-0.4.git8032c28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-0.3.git8032c28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-0.2.git8032c28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.1.git8032c28
- First package for Fedora
  resolves: #1373623
